Bug 737859 - bluray incur traceback: BluRayTest instance has no attribute 'mediaNames'
Summary: bluray incur traceback: BluRayTest instance has no attribute 'mediaNames'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests)
Version: 1.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact: Guangze Bai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 09:41 UTC by Guangze Bai
Modified: 2015-02-08 21:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-08 15:43:08 UTC
Target Upstream Version:


Attachments (Terms of Use)
replace mediaNames with mediaTypes (745 bytes, text/plain)
2011-09-13 09:46 UTC, Guangze Bai
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1436 normal SHIPPED_LIVE v7 bug fix and enhancement update 2011-11-08 23:28:41 UTC

Description Guangze Bai 2011-09-13 09:41:25 UTC
Description of problem:

# v7 run -t bluray

Would you like to test bd media? (y|n) y
response: y

  Your Blu-ray drive /dev/sr1 supports bd
  You need to prepare a good bd disc to run this test.

    Please notice that you need to prepare an unencrypted Blu-ray data disc to run this test.

  Press ENTER when you are ready ! Or press Ctrl-C to quit !

  Please insert a good bd disc into /dev/sr1 and then press ENTER to continue !

   Tray closed ... 


   Start testing bd ... 

Traceback (most recent call last):
  File "/usr/bin/v7", line 45, in <module>
    success = v7.do(args)
  File "/usr/share/v7/lib/v7/hardwaretest.py", line 193, in do
    result = self.commands[self.command]()
  File "/usr/share/v7/lib/v7/hardwaretest.py", line 612, in doRun
    return self._doRun(tests)       
  File "/usr/share/v7/lib/v7/hardwaretest.py", line 715, in _doRun
    returnValue = self.runTest(tmpDirectory, test, run, outputFilePath)
  File "/usr/share/v7/lib/v7/hardwaretest.py", line 1130, in runTest
    rv = test.run()
  File "/usr/share/v7/tests/bluray/bluray.py", line 157, in run
    if not self.checkMediaType(self.getLogicalDeviceName(), self.mediaChoice):
  File "/usr/share/v7/tests/bluray/bluray.py", line 62, in checkMediaType
    elif mediaType == "bd" and (mediaInDrive == "bdrom" or mediaInDrive in self.mediaNames): 
AttributeError: BluRayTest instance has no attribute 'mediaNames'


Version-Release number of selected component (if applicable):
v7-1.4-20

Comment 1 Guangze Bai 2011-09-13 09:46:59 UTC
Created attachment 522881 [details]
replace mediaNames with mediaTypes

Comment 4 Caspar Zhang 2011-10-21 14:09:11 UTC
This bug doesn't need a TechNote because of:

a) it was discovered in a v7 1.4 intermediate version, and
b) it was discovered by a Red Hat associate only.

Comment 6 errata-xmlrpc 2011-11-08 15:43:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1436.html

Comment 7 errata-xmlrpc 2011-11-08 18:33:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1436.html


Note You need to log in before you can comment on or make changes to this bug.